VST 3 Examples VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Macros | Functions | Variables
againentry.cpp File Reference
`#include "again.h"`
`#include "againsidechain.h"`
`#include "againcontroller.h"`
`#include "againcids.h"`
`#include "version.h"`
`#include "public.sdk/source/main/pluginfactoryvst3.h"`

## Macros
#define | stringPluginName "AGain VST3"
#define | stringPluginSideChainName "AGain SideChain VST3"

## Functions
bool | InitModule ()
bool | DeinitModule ()
| BEGIN_FACTORY_DEF ("Steinberg Media Technologies","http://www.steinberg.net","mailto:info@steinberg.de") DEF_CLASS2(INLINE_UID_FROM_FUID(AGainProcessorUID)
AGain Steinberg::Vst::AGain::createInstance | DEF_CLASS2 (INLINE_UID_FROM_FUID(AGainControllerUID), PClassInfo::kManyInstances, kVstComponentControllerClass,"AGain VST3""Controller", 0,"","1"".""3"".""0"".""1", kVstVersionString, Steinberg::Vst::AGainController::createInstance) DEF_CLASS2(INLINE_UID_FROM_FUID(AGainWithSideChainProcessorUID)

## Variables
| kVstAudioEffectClass
AGain | VST3
AGain | Fx
AGain | kVstVersionString

## Macro Definition Documentation

#define stringPluginName "AGain VST3"

#define stringPluginSideChainName "AGain SideChain VST3"

## Function Documentation

bool InitModule | ( |  | ) |

bool DeinitModule | ( |  | ) |

BEGIN_FACTORY_DEF | ( | "Steinberg Media Technologies" | ,
|  | "http://www.steinberg.net" | ,
|  | "mailto:info@steinberg.de" |
| ) |  |

AGain Steinberg::Vst::AGain::createInstance DEF_CLASS2 | ( | INLINE_UID_FROM_FUID(AGainControllerUID) | ,
|  | PClassInfo::kManyInstances | ,
|  | kVstComponentControllerClass | ,
|  | "AGain VST3""Controller" | ,
|  | 0 | ,
|  | "" | ,
|  | "1"".""3"".""0"".""1" | ,
|  | kVstVersionString | ,
|  | Steinberg::Vst::AGainController::createInstance |
| ) |  |

## Variable Documentation

AGain Steinberg::Vst::AGain::createInstance kVstAudioEffectClass

AGain Steinberg::Vst::AGain::createInstance AGain SideChain VST3

AGain Steinberg::Vst::AGain::createInstance AGain SideChain Fx

AGain Steinberg::Vst::AGain::createInstance AGain SideChain kVstVersionString

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.